Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class SeriesPattern

    java.lang.Object
      jet.report.xls.SeriesPattern

    public class SeriesPattern

extends java.lang.Object

Field Summary
`static short` | `BUBBLES3D`
`static short` | `SHADOW`
`static short` | `SHOWBUBBLESIZE`
`static short` | `SHOWLABEL`
`static short` | `SHOWLABPER`
`static short` | `SHOWNONE`
`static short` | `SHOWPERCENT`
`static short` | `SHOWVALUE`
`static short` | `SMOOTHEDLINE`

Constructor Summary
`SeriesPattern()`
`SeriesPattern(LineFormatInfo seriesBorder, AreaFormatInfo seriesArea, MarkerFormatInfo markerInfo, short attachedLabel, short serFormat)` Constructs class SeriesPattern and sets its fields appropriately.
`SeriesPattern(short pointNum, LineFormatInfo seriesBorder, AreaFormatInfo seriesArea, MarkerFormatInfo markerInfo, short attachedLabel, short serFormat)` Constructs class SeriesPattern and sets its fields appropriately.

Method Summary
`short` | `getLabelType()` Get the series' attached label type
`MarkerFormatInfo` | `getMarkerInfo()` Get the series' marker format if the chart type is scatter or line
`short` | `getSerFormat()` Get the series' format
`AreaFormatInfo` | `getSeriesArea()` Get the series' area format
`LineFormatInfo` | `getSeriesBorder()` Get the series' border format
`void` | `setLabelType(short type)` Set the series' attached label type
`void` | `setMarkerInfo(MarkerFormatInfo markerInfo)` Set the series' marker format if the chart type is scatter or line
`void` | `setSerFormat(short serFormat)` Set the series' format
`void` | `setSeriesArea(AreaFormatInfo seriesArea)` Set the series' area format
`void` | `setSeriesBorder(LineFormatInfo seriesBorder)` Set the series' border format

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### SHOWNONE

    public static final short SHOWNONE

See Also:
  Constant Field Values

### SHOWVALUE

    public static final short SHOWVALUE

See Also:
  Constant Field Values

### SHOWPERCENT

    public static final short SHOWPERCENT

See Also:
  Constant Field Values

### SHOWLABPER

    public static final short SHOWLABPER

See Also:
  Constant Field Values

### SHOWLABEL

    public static final short SHOWLABEL

See Also:
  Constant Field Values

### SHOWBUBBLESIZE

    public static final short SHOWBUBBLESIZE

See Also:
  Constant Field Values

### SMOOTHEDLINE

    public static final short SMOOTHEDLINE

See Also:
  Constant Field Values

### BUBBLES3D

    public static final short BUBBLES3D

See Also:
  Constant Field Values

### SHADOW

    public static final short SHADOW

See Also:
  Constant Field Values

Constructor Detail

### SeriesPattern

    public SeriesPattern()

### SeriesPattern

    public SeriesPattern(short pointNum,
                         LineFormatInfo seriesBorder,
                         AreaFormatInfo seriesArea,
                         MarkerFormatInfo markerInfo,
                         short attachedLabel,
                         short serFormat)

  Constructs class SeriesPattern and sets its fields appropriately.

  Parameters:
    `pointNum` - The point number in the series, -1 for entire series
    `seriesBorder` - Series' border color and style
    `seriesArea` - Series' area color
    `markerType` - Marker type of scatter or line chart
    `attachedLabel` - Attached label type SHOWNONE, SHOWVALUE, SHOWPERCENT(for pie chart), SHOWLABPER(for pie chart), SHOWLABEL, SHOWBUBBLESIZE(for bubble chart) or combine of them.
    `serFormat` - series format, SHOWNONE, SMOOTHEDLINE, BUBBLES3D, SHADOW or combine of them

### SeriesPattern

    public SeriesPattern(LineFormatInfo seriesBorder,
                         AreaFormatInfo seriesArea,
                         MarkerFormatInfo markerInfo,
                         short attachedLabel,
                         short serFormat)

  Constructs class SeriesPattern and sets its fields appropriately.

  Parameters:
    `seriesBorder` - Series' border color and style
    `seriesArea` - Series' area color
    `markerType` - Marker type of scatter or line chart
    `attachedLabel` - Attached label type, SHOWNONE, SHOWVALUE, SHOWPERCENT(for pie chart), SHOWLABPER(for pie chart), SHOWLABEL, SHOWBUBBLESIZE(for bubble chart) or combine of them.
    `serFormat` - series format, SHOWNONE, SMOOTHEDLINE, BUBBLES3D, SHADOW or combine of them

Method Detail

### setSeriesBorder

    public void setSeriesBorder(LineFormatInfo seriesBorder)

  Set the series' border format

  Parameters:
    `seriesBorder` - Series' border format

### getSeriesBorder

    public LineFormatInfo getSeriesBorder()

  Get the series' border format

  Returns:
    Series' border format

### setSeriesArea

    public void setSeriesArea(AreaFormatInfo seriesArea)

  Set the series' area format

  Parameters:
    `seriesArea` - Series' area format

### getSeriesArea

    public AreaFormatInfo getSeriesArea()

  Get the series' area format

  Returns:
    series' area format

### setMarkerInfo

    public void setMarkerInfo(MarkerFormatInfo markerInfo)

  Set the series' marker format if the chart type is scatter or line

  Parameters:
    `markerInfo` - Series' marker format

### getMarkerInfo

    public MarkerFormatInfo getMarkerInfo()

  Get the series' marker format if the chart type is scatter or line

  Returns:
    series' marker format

### setLabelType

    public void setLabelType(short type)

  Set the series' attached label type

  Parameters:
    `type` - the series' attached label type
  See Also:
    `SHOWNONE`, `SHOWVALUE`, `SHOWPERCENT( use for pie chart only)`, `SHOWLABPER ( use for pie chart only)`, `SHOWLABEL`, `SHOWBUBBLESIZE( use for bubble chart)`

### getLabelType

    public short getLabelType()

  Get the series' attached label type

  Returns:
    the series' attached label type
  See Also:
    `SHOWNONE`, `SHOWVALUE`, `SHOWPERCENT( use for pie chart only)`, `SHOWLABPER ( use for pie chart only)`, `SHOWLABEL`, `SHOWBUBBLESIZE( use for bubble chart)`

### setSerFormat

    public void setSerFormat(short serFormat)

  Set the series' format

  Parameters:
    `type` - the series' format
  See Also:
    `SHOWNONE`, `SMOOTHEDLINE( use for line or scatter chart only)`, `BUBBLES3D ( use for bubble chart only)`, `SHADOW`

### getSerFormat

    public short getSerFormat()

  Get the series' format

  Returns:
    the series' format
  See Also:
    `SHOWNONE`, `SMOOTHEDLINE( use for line or scatter chart only)`, `BUBBLES3D ( use for bubble chart only)`, `SHADOW`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD